Bug 1290364 - locks ignored [NEEDINFO]
locks ignored
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
All Linux
unspecified Severity high
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 05:40 EST by Richard Jasmin
Modified: 2016-07-19 15:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:23:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mluscon: needinfo? (tla)


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-12-10 05:40:42 EST
Description of problem:
dnf locks are being ignored. this is especially prevalent when using yumex. Not only does the package manager load(it should not), it can access and install applications as well. Even if the system is undergoing an update.

Neither yumex nor dnf aka yum should allow this in either direction. This can cause severe multiarch breakage, even by accident.

Version-Release number of selected component (if applicable):
22

How reproducible:
always

Steps to Reproduce:
1.have dnf updating or standing by
2.load yumex
3.dnf something

Actual results:
!!!

Expected results:
this should not be. dnf should be preventing this and yumex should not be ignoring the locks either.
Comment 1 Honza Silhan 2015-12-14 07:25:25 EST
We'll take a look whether locks are properly taken when calling DNF Python API.
Comment 2 Michal Luscon 2016-06-16 09:49:54 EDT
Hi Tim,

are you also observing this missbehaviour?
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:33:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 15:23:30 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.